DEBCONF-COPYDB.PT_BR.1(1)

NOME
debconf-copydb - copia uma base de dados debconf

RESUMO
 debconf-copydb sourcedb destdb [--pattern=padrão] [--config=Foo:bar]

DESCRIÇÃO
debconf-copydb copia itens de uma base de dados debconf existente para outra base de dados, possivelmente nova. As duas base de dados podem ter formatos diferentes; neste caso uma conversão será automaticamente feita.

OPÇÕES

sourcedb
    O nome da base dados fonte. Tipicamente está será definida em seu arquivo debconf.conf (ou .debconfrc).

destdb
    O nome da base de dados de destino. Esse pode ser definido em debconf.conf ou .debconfrc, ou você poderá definí-lo na linha de comando (veja abaixo).

-p padrão, --pattern padrão
    Caso este seja especificado, somente itens em sourcedb os quais os nomes casem com o padrão serão copiados.

-c foo:bar, --config Foo:bar
    Define a opção Foo para bar. Isto é similar a escrever :

      Foo: bar

    No debconf.conf, exceto que você provavelmente quer deixar o espaço na linha de comando (ou quotá-la: "Foo: bar"). Geralmente deve ser usada múltiplas vezes para construir uma estrofe de configuração completa. Enquanto linhas em branco são usadas para separar estrofes em debconf.conf, este programa assumirá que "Name:dbname" denota o início de uma nova estrofe.

EXEMPLOS
  debconf-copydb configdb backup

Copie todo o configdb para backup, assumindo que você já tenha a base de dados backup definida em debconf.conf.

  debconf-copydb configdb newdb --pattern='^slrn/' \
        --config=Name:newdb --config=Driver:File \
        --config=Filename:newdb.dat

Copia os dados de slrn de configdb para newdb. newdb não é definido no arquivo rc, assim as opções --config definem a base de dados em tempo de execução.

  debconf-copydb configdb stdout -c Name:stdout -c Driver:Pipe \
        -c InFd:none --pattern='^foo/'

Retira todos os items na base de dados debconf relacionados ao pacote foo.

  debconf-copydb configdb pipe --config=Name:pipe \
                --config=Driver:Pipe --config=InFd:none | \
        ssh remotehost debconf-copydb pipe configdb \
                --config=Name:pipe --config=Driver:Pipe

Este usa o controlador de propósito especial pipe para copiar uma base de dados para um sistema remoto.

VEJA TAMBÉM
debconf.conf(5)

AUTOR
Joey Hess <joeyh@debian.org>